CDMQuery (CMDB Model API)
Keywords: com.collation.platform.model.discovery.cdm.CDMQuery interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.cdm
Interface CDMQuery

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface CDMQuery

extends LogicalElement

Represents the saved queries in CDM

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  CDMQUERY
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`CDMAttribute[]` | `getAttributes()`
`boolean` | `getFilterScope()`
`java.lang.String` | `getName()`
`java.lang.String` | `getQuery()`
`java.lang.String` | `getUser()`
`boolean` | `hasAttributes()`
`boolean` | `hasFilterScope()`
`boolean` | `hasName()`
`boolean` | `hasQuery()`
`boolean` | `hasUser()`
`void` | `setAttributes(CDMAttribute[] attributes)`
`void` | `setFilterScope(boolean filterScope)` Scope of the filter to identify whether its private or public.
`void` | `setName(java.lang.String name)` Name of the cdm query
`void` | `setQuery(java.lang.String query)` Query associated with the name
`void` | `setUser(java.lang.String user)` User name of query creator.

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setName

    void setName(java.lang.String name)

  Name of the cdm query

  Parameters:
    `name` -

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setQuery

    void setQuery(java.lang.String query)

  Query associated with the name

  Parameters:
    `query` -

### getQuery

    java.lang.String getQuery()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasQuery

    boolean hasQuery()

### setFilterScope

    void setFilterScope(boolean filterScope)

  Scope of the filter to identify whether its private or public. Set the scope to true if its a public filter and set to false for private filters.

  Parameters:
    `filterScope` -

### getFilterScope

    boolean getFilterScope()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasFilterScope

    boolean hasFilterScope()

### setUser

    void setUser(java.lang.String user)

  User name of query creator.

  Parameters:
    `user` -

### getUser

    java.lang.String getUser()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasUser

    boolean hasUser()

### setAttributes

    void setAttributes(CDMAttribute[] attributes)

  Parameters:
    `attributes` - List of attributes to select.

### getAttributes

    CDMAttribute[] getAttributes()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAttributes

    boolean hasAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD